<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true">
			<block slot="backText">返回</block>
			<block slot="content">法律法规</block>
		</cu-custom>
		<view>
			
				<collapse @goToDetail="goToDetail" v-for="item in accordion" :key="item.id" :item="item"></collapse>
		
		</view>
			<!-- <view class="cu-tabbar-height"></view> -->
	</view>	
</template>

<script>
	import {
		basePath,corpinfoId,loginSession,formatDate,loginUser
	} from '@/common/tool.js';
	import collapse from "@/components/collapse/collapse.vue"
	export default {
		components: {collapse},
		data() {
			return {
				accordion: [],
			}
		},
		onLoad() {
			this.getData()
		},
		methods: {
			change(e) {},
			goToDetail(item){
				console.info(123)
				uni.navigateTo({
					url: '/pages/basics/study-files/study-detail?PARENT_ID='+item.id
				})
			},
			getData(){
				var _this = this;
				uni.showLoading({
					title:"加载中..."
				});//加载中动画
				uni.request({
					url: basePath +'/app/mfolderStipulate/appListTree',
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
					},
					success: (res) => {
						uni.hideLoading();//结束加载中动画
						_this.accordion = JSON.parse(res.data.zTreeNodes)
					}
				})
			},
		}
	}
</script>

<style>

</style>